import sys
import os
import glob
import xml.etree.ElementTree as ET


def get_gt_txt(xml_file, save_path, filename, use_difficult_bbox=True):
    with open(save_path + '/' + filename + ".txt", "a") as new_f:
        root = ET.parse(xml_file).getroot()
        for obj in root.findall('object'):
            difficult = obj.find('difficult').text.strip()
            if (not use_difficult_bbox) and (int(difficult) == 1):
                continue
            obj_name = obj.find('name').text
            bndbox = obj.find('bndbox')
            left = bndbox.find('xmin').text
            top = bndbox.find('ymin').text
            right = bndbox.find('xmax').text
            bottom = bndbox.find('ymax').text
            new_f.write("%s %s %s %s %s\n" % (obj_name, left, top, right, bottom))

    # print("Conversion completed!")
